SDL_MALLOC(3)

NAME
SDL_MALLOC - A macro to tag a function as an allocator.

SYNOPSIS
#include <SDL3/SDL_begin_code.h>

#define SDL_MALLOC __declspec(allocator) __desclspec(restrict)

DESCRIPTION
This is a hint to the compiler that a function is an allocator, like malloc(), with certain rules. A description of how GCC treats this hint is here:

https://gcc.gnu.org/onlinedocs/gcc/Common-Function-Attributes.html#index-malloc-function-attribute

On compilers without allocator tag support, this is defined to nothing.

Most apps don't need to, and should not, use this directly.

AVAILABILITY
This macro is available since SDL 3.2.0.